classification
Title: Use after free in Element.extend (2)
Type: crash Stage: resolved
Components: Extension Modules Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Use after free in Element.extend (1)
View: 24091
Assigned To: Nosy List: Arfrever, christian.heimes, eli.bendersky, pkt, scoder, serhiy.storchaka
Priority: normal Keywords:

Created on 2015-05-01 13:57 by pkt, last changed 2015-05-03 06:43 by Arfrever. This issue is now closed.

Files
File name Uploaded Description Edit
poc_elt_extend2.py pkt, 2015-05-01 13:57
Messages (2)
msg242306 - (view) Author: paul (pkt) Date: 2015-05-01 13:57
# Program received signal SIGSEGV, Segmentation fault.
# 0x4063cf19 in element_extend (self=0x405ddf74, args=([],)) at /home/p/Python-3.4.1/Modules/_elementtree.c:1056
# 1056            PyObject* element = PySequence_Fast_GET_ITEM(seq, i);
# (gdb) print i
# $3 = 1337
# (gdb) print *(PyListObject*)seq
# $4 = {ob_base = {ob_base = {_ob_next = 0x406373ec, _ob_prev = 0x405ddf74, ob_refcnt = 3, ob_type = 0x830e1c0 <PyList_Type>}, 
#     ob_size = 0}, ob_item = 0x0, allocated = 0}
# 
# Controlled read (resulting from a use after free). "seq" is cleared in a custom
# destructor (Y.__del__()).
#
msg242431 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-05-02 20:36
The patch for issue24091 fixes this issue.
History
Date User Action Args
2015-05-03 06:43:54Arfreversetnosy: + Arfrever
2015-05-02 20:36:25serhiy.storchakasetstatus: open -> closed
superseder: Use after free in Element.extend (1)
messages: + msg242431

resolution: duplicate
stage: needs patch -> resolved
2015-05-02 04:45:59serhiy.storchakasetnosy: + scoder, eli.bendersky, serhiy.storchaka
2015-05-01 14:13:25christian.heimessetstage: needs patch
components: + Extension Modules
versions: + Python 3.5
2015-05-01 14:11:23christian.heimessetnosy: + christian.heimes
2015-05-01 13:57:05pktcreate